> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/abap-agent/command-line-interface.md).

# Command-line interface

You configure the SeaLights ABAP Agent using a command-line interface program (`slabapcli.exe`) installed to the agent's `bin` directory. You can use the command-line interface program to do the following:

* Set up the agent
* Connect the agent to SeaLights
* Define resources
* Create an Initial Build Map
* Create Build Modifications
* Create Footprints

## Run the command-line interface <a href="#toc201668086" id="toc201668086"></a>

To display the command-line interface's help file, open a terminal as an Administrator and change to the agent's `bin` directory (default: `C:\Program Files\Tricentis\SeaLights\ABAP Agent\bin`).

{% tabs %}
{% tab title="Command Prompt" %}
{% code overflow="wrap" %}

```batch
cd "C:\Program Files\Tricentis\SeaLights\ABAP Agent\bin"
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code overflow="wrap" %}

```powershell
cd "C:\Program Files\Tricentis\SeaLights\ABAP Agent\bin"
```

{% endcode %}
{% endtab %}
{% endtabs %}

Then run the following:

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Command" overflow="wrap" %}

```batch
slabapcli.exe --help
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Command" overflow="wrap" %}

```powershell
.\slabapcli.exe --help
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% code title="Expected output (PowerShell)" overflow="wrap" lineNumbers="true" %}

```log
.\slabapcli.exe --help
usage: slabapcli [-h|--help] [-c|--config <config pathname>] [-l|--log_level <log_level>] <resource> <command> [args]
resource:
  setup:
    install   : install
    uninstall : uninstall
    migrate   : migrate config to the latest supported version
    status    : aggregated agent / Sealights / RFC connectivity health report
  settings:
    list : list settings
  sealights:
    list : list sealights configuration
    test : test sealights configuration
    set  : set sealights configuration
  rfc:
    list : list rfc configurations
    test : test rfc configuration
    del  : delete rfc configuration
    set  : set rfc configuration
    phd  : import performance history data
  pipeline:
    list : list pipelines
    set  : set pipeline
  proxy:
    list : list proxy configuration
    set  : set proxy configuration
  buildmap:
    run : configure one-time collection of initial build map
  buildmods:
    run : configure regular collection of build mods
    stop: stop collection of build mods
  footprints
    run : configure regular collection of footprints
    stop: stop collection of footprints
  testexecution
    list  : list open test executions
    open  : open test execution
    close : close test execution
  security
    decrypt : decrypt config file and all sqlite db files

slabapcli <resource> help for resource specific help
```

{% endcode %}

You can run `slabapcli.exe <resource> help` to display the help for a specific resource.

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Command" overflow="wrap" %}

```batch
slabapcli.exe settings help
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Command" overflow="wrap" %}

```powershell
.\slabapcli.exe settings help
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% code title="Expected output (PowerShell)" overflow="wrap" lineNumbers="true" %}

```log
.\slabapcli.exe settings help
[2025-06-13 16:14:16.590+01:00] [info] Current ANSI Code Page: 65001 (UTF-8) (65001)
[2025-06-13 16:14:16.590+01:00] [info] Config pathname: ../config/config.toml
settings <command>:
command:
  help : settings command help
  list : list settings
```

{% endcode %}

## Prerequisites

Before you set up the Agent, the first step is to test your machine's connection to SeaLights. Open a terminal as an Administrator and run the following commands:

{% tabs %}
{% tab title="Command Prompt" %}
{% code overflow="wrap" lineNumbers="true" %}

```batch
curl -I https://{customerId}.sealights.co
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code overflow="wrap" lineNumbers="true" %}

```powershell
Test-NetConnection {customerId}.sealights.co -Port 443
Invoke-WebRequest https://{customerId}.sealights.co
```

{% endcode %}
{% endtab %}
{% endtabs %}

In each case, replace `{customerId}` with your SeaLights Customer ID.

## Decrypt configuration

To decrypt the `config.toml` file and all SQLite database files in the `userdata\private` directory, run the following from your terminal:

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Command" overflow="wrap" %}

```batch
slabapcli.exe security decrypt --config "..\config\config.toml"
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Command" overflow="wrap" %}

```powershell
.\slabapcli.exe security decrypt --config '..\config\config.toml'
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="danger" %}
Don't decrypt your files unless Tricentis Support asks you to.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/abap-agent/command-line-interface.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
